%define perl_vendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)
%define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)

%define real_name DBD-SQLite

Summary: Self Contained RDBMS in a DBI Driver
Name: perl-%{real_name}
Version: 1.14
Release: 1%{?dist}
License: Artistic/GPL
Group: Applications/CPAN
URL: http://search.cpan.org/dist/%{real_name}/

Source: http://www.cpan.org/modules/by-module/DBD/%{real_name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: perl, perl(DBI), sqlite-devel, perl(ExtUtils::MakeMaker)

%description
SQLite is a public domain RDBMS database engine that you can find at http://www.hwaci.com/sw/sqlite

Rather than ask you to install SQLite first, because SQLite is public domain, DBD::SQLite includes the entire thing in the distribution. So in order to get a fast transaction capable RDBMS working for your perl project you simply have to install this module, and nothing else.

SQLite supports the following features:

Implements a large subset of SQL92

    See http://www.hwaci.com/sw/sqlite/lang.html for details.
A complete DB in a single disk file

    Everything for your database is stored in a single disk file, making it easier to move things around than with DBD::CSV.
Atomic commit and rollback

    Yes, DBD::SQLite is small and light, but it supports full transactions!
Extensible

    User-defined aggregate or regular functions can be registered with the SQL parser.

There's lots more to it, so please refer to the docs on the SQLite web page, listed above, for SQL details. Also refer to DBI for details on how to use DBI itself.

%prep
%setup -n %{real_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS="vendor" PREFIX="%{buildroot}%{_prefix}"
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} pure_install

### Clean up buildroot
find %{buildroot} -name .packlist -exec %{__rm} {} \;

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc Changes README
%doc %{_mandir}/man3/*.3pm*
%dir %{perl_vendorarch}/DBD/
%{perl_vendorarch}/DBD/SQLite.pm
%dir %{perl_vendorarch}/auto/DBD/
%{perl_vendorarch}/auto/DBD/SQLite

%changelog
* Wed May 28 2008 Jeff Fearn <jfearn@redhat.com> - 1.14-1
- Rebuild for docs

* Thu Nov 8 2007 Jeff Fearn <jfearn@redhat.com> 1.14-0
- Initial package.
